<!DOCTYPE html>
<html>
<head>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link rel="stylesheet" href="css/register.css">

</head>
<body>

<div class="container register">
    <div class="row">
        <div class="col-md-3 register-left">
            <img src="https://image.ibb.co/n7oTvU/logo_white.png" alt=""/>
            <h3>Welcome</h3>
            <p>Personal Details storage</p>
            <a href="main.html"><input type="submit" name="" value="Login"/></a><br/>
        </div>
        <div class="col-md-9 register-right">

            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                    <h3 class="register-heading">Registration Form</h3>
                    <form class="row register-form" name="RegForm" action="reg-process.jsp" method="post" onsubmit="return form()" >
                        <div class="col-md-6">
                            <div class="form-group">
                                <input type="text" class="form-control" placeholder="Name" name="name" value="" />
                            </div>

                            <div class="form-group">
                                <input type="password" class="form-control" placeholder="Password" name="password" value="" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <input type="text" class="form-control" placeholder="Username" name="username" value="" />
                            </div>
                            <div class="form-group">
                                <input type="email"  name="email" class="form-control" placeholder="email" value="" />
                            </div>

                            <input type="submit" class="btnRegister"/>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

</div>
<script>
function form()
{
    var name = document.forms["RegForm"]["name"];
    var email = document.forms["RegForm"]["email"];
    var what =  document.forms["RegForm"]["username"];
    var password = document.forms["RegForm"]["Password"];

    if (name.value == "")
    {
        window.alert("Please enter your name.");
        name.focus();
        return false;
    }

    if (email.value == "")
    {
        window.alert("Please enter a valid e-mail address.");
        email.focus();
        return false;
    }

    if (password.value == "")
    {
        window.alert("Please enter your password");
        password.focus();
        return false;
    }

    if (what.username =="")
    {
        window.alert("Please enter your username.");
        what.focus();
        return false;
    }

    return true;
}</script>
</body>
</html>